Passer directement au contenu principal

Ce navigateur n’est plus pris en charge.

Effectuez une mise à niveau vers Microsoft Edge pour tirer parti des dernières fonctionnalités, des mises à jour de sécurité et du support technique.

Télécharger Microsoft Edge Plus d’informations sur Internet Explorer et Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Sessions

Get a session

GET /agents/{agent_name}/endpoint/sessions/{session_id}

Retrieves the details of a hosted agent session by agent name and session identifier.

Paramètres de chemin d’accès

agent_name string obligatoire

The name of the agent.

session_id string obligatoire

The session identifier.

Paramètres de la requête

api-version string obligatoire

The API version to use for this operation.

Réponses

The request has succeeded.

Corps

Content-Type: application/json
agent_session_id string obligatoire

The session identifier.

version_indicator version_ref obligatoire

Version indicator determining which agent version backs the session.

Celui-ci peut avoir l'une des valeurs suivantes :
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum obligatoire

Discriminator value for version_ref.

version_ref
agent_version string obligatoire

The agent version identifier returned by the agent version APIs.

status string | enum obligatoire

The status of an agent session.

Un des éléments suivants :
string
enum
creatingactiveidleupdatingfaileddeletingdeletedexpired
created_at integer obligatoire

The Unix timestamp (in seconds) when the session was created.

last_accessed_at integer obligatoire

The Unix timestamp (in seconds) when the session was last accessed.

expires_at integer obligatoire

The Unix timestamp (in seconds) when the session expires (rolling, 30 days from last activity).

stopped_at integer

The Unix timestamp (in seconds) when the session sandbox was last observed to stop or go idle. Present only after the session has gone idle at least once, used for accurate idle-billing reconciliation.

Client error

Corps

Content-Type: application/json
error OpenAI.Error obligatoire
code string | null obligatoire
message string obligatoire
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Un des éléments suivants :
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string obligatoire

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Corps

Content-Type: application/json
error OpenAI.Error obligatoire
code string | null obligatoire
message string obligatoire
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Un des éléments suivants :
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string obligatoire

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Requête

GET /agents/{agent_name}/endpoint/sessions/{session_id} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
fr-fr
Vos choix en matière de confidentialité
  • Clause d’exclusion de responsabilité sur l’IA
  • Versions antérieures
  • Blog
  • Collaboration
  • Confidentialité
  • Confidentialité de la santé des consommateurs
  • Conditions d’utilisation
  • Accessibilité
  • Marques
  • © Microsoft 2026